/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PREB                                                     */
/* Tabela : PRECOBASE                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PREB' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PREB
GO

CREATE TRIGGER DTULTATU_PREB
ON PRECOBASE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRECOBASE', null, 'CDPRECOBASE=' + CDPRECOBASE + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRECOBASE
      SET DTULTATUPRBA = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRECOBASE.CDPRECOBASE,0) = ISNULL(INSERTED.CDPRECOBASE,0));
   END;
END;
GO

