import { Loader, Metadata, Singleton } from '@zeedhi/core';
import Store from '@/store';
import { Tabs } from '@zeedhi/common';
import { AclLabelsLogGridController } from './AclLabelsLogGridController';

@Singleton
export class AclLabelsDetailController {
	get currentProject() {
		return Store.getters['AclLabels/getCurrentProject'];
	}

	get currentProjectName() {
		return Store.getters['AclLabels/getCurrentProjectName'];
	}

	get detailIsVisible() {
		return !Store.getters['AclLabels/getGridIsVisible'];
	}

	public clickBackToAclLabelsProjectGrid() {
		Store.getters['AclLabels/getAclLabelsTreeComponent'].nodes = [];
		Store.commit('AclLabels/setLogGridIsVisible', true);
		Store.commit('AclLabels/setGridIsVisible', true);
	}

	public async changeAclLabelsProjectTabs() {
		const tabs = Metadata.getInstance<Tabs>('aclLabelsProjectTabs');
		if (tabs.activeTab === 0) {
			Store.commit('AclLabels/setLogGridIsVisible', true);
			await Store.dispatch('AclLabels/loadAclLabelsTreeComponent');
			await Store.dispatch('AclLabels/loadNodes', this.currentProject.PROJECT_ID);
			Store.commit('AclLabels/setLogGridIsVisible', true);
		} else if (tabs.activeTab === 1) {
			const aclLabelsLogGridController: AclLabelsLogGridController = Loader.getInstance('AclLabelsLogGridController');
			await aclLabelsLogGridController.onClickTab();
		}
	}
}
